// Chan.h: interface for the CChan class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CHAN_H__F3A45539_1469_4E48_899F_643673509A64__INCLUDED_)
#define AFX_CHAN_H__F3A45539_1469_4E48_899F_643673509A64__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
#include "dclib_wrap.h"

class CChan  
{
public:
	CChan(int ch,CFormView *pView,CDclibWrap *cap);
	virtual ~CChan();

	UCHAR m_SlAddr;

	int m_Ch;
	int m_Height;
	int m_Width;
	int m_Frames;
	int m_FPS;
	CRect m_Rect;
	BYTE m_BmpImage[1280*1024*3];
	int m_X;
	int m_Y;
	BOOL m_bRunning;
	int m_CapMode;
	int m_DispMode;

	CFormView *m_pView;

	CDclibWrap *m_Cap;

	void CamReset(); 
	void I2cWrite(int addr,UINT data);
	UINT I2cRead(int addr);
	void SetCapMode(int mode);
	void SetDispMode(int mode);
	UINT Capture();
	void Draw(CPaintDC *dc);
	int GetFPS();
	void Start();
	void Stop();
	BOOL IsRunning();
	void SaveImage();

};


#endif // !defined(AFX_CHAN_H__F3A45539_1469_4E48_899F_643673509A64__INCLUDED_)
